com.holonplatform.core.query

## Interface TemporalFunction.Month

- All Superinterfaces:
    ConverterExpression<Integer>, Expression, HasConfiguration<PropertyConfiguration>, Localizable, NumericQueryExpression<Integer>, Property<Integer>, QueryExpression<Integer>, QueryFunction<Integer,Object>, QueryFunction.PropertyQueryFunction<Integer,Object>, QueryProjection<Integer>, Serializable, TemporalFunction<Integer>, TypedExpression<Integer>, Validator.Validatable<Integer>
  Enclosing interface:
    TemporalFunction<T>

      public static interface TemporalFunction.Month
      extends TemporalFunction<Integer>, QueryFunction.PropertyQueryFunction<Integer,Object>, NumericQueryExpression<Integer>

  A function to extract the month part of a temporal data type.

  The result type is always an `Integer` and the month range index is between 1 and 12.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.TemporalFunction

      `TemporalFunction.CurrentDate, TemporalFunction.CurrentLocalDate, TemporalFunction.CurrentLocalDateTime, TemporalFunction.CurrentTimestamp, TemporalFunction.Day, TemporalFunction.Hour, TemporalFunction.Month, TemporalFunction.Year`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.query.QueryFunction

      `QueryFunction.Avg, QueryFunction.Count, QueryFunction.Max<T>, QueryFunction.Min<T>, QueryFunction.NoArgQueryFunction<T>, QueryFunction.PropertyQueryFunction<T,A>, QueryFunction.Sum<T extends Number>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.Builder<T,P extends Property<T>,B extends Property.Builder<T,P,B>>, Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TemporalFunction.Month` | `create(TypedExpression<?> argument)` Create a new `TemporalFunction.Month` function instance.

    - ### Methods inherited from interface com.holonplatform.core.query.QueryFunction

      `avg, count, currentDate, currentLocalDate, currentLocalDateTime, currentTimestamp, day, getExpressionArguments, hour, lower, max, min, month, sum, upper, year`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getExpressionValueConverter, getName, getTemporalType, getType, isReadOnly, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.query.NumericQueryExpression

      `avg, sum`

- - ### Method Detail

    - #### create

          static TemporalFunction.Month create(TypedExpression<?> argument)

      Create a new `TemporalFunction.Month` function instance.
      Parameters:
        `argument` - Function argument (not null)
      Returns:
        New `TemporalFunction.Month` function instance

Copyright © 2019 The Holon Platform. All rights reserved.